Gehrungswinkel bestimmen

In diesem Forum Fragen und Diskussionen in Deutsch
Forum rules
Foren-Regeln und hilfreiche Informationen

WICHTIG: Bitte zuerst lesen, bevor Sie posten
SIG
Posts: 37
Joined: Tue Sep 16, 2014 12:49 pm
Location: Dresden

Gehrungswinkel bestimmen

Postby SIG » Sat Dec 26, 2015 2:47 pm

Hallo,

ich habe einen "Trapezhohlkörper", der auch real gebaut werden soll.
Wie in den Bildern zu sehen, handelt es sich um eine Box mit trapezförmigen Querschnitten.
In FreeCAD habe ich den "Trapezhohlkörper" durch Differenz zweier Volumenkörper erstellt, die ihrerseits aus der Schnittmenge zweier Körper mit Trapetz-Querschnitten bestehen, FreeCAD-Datei im Anhang.
Trapezhohlkoerper_0.png
Der Trapezhohlkörper ist transparent dargestellt.
Trapezhohlkoerper_0.png (21.18 KiB) Viewed 2458 times
Trapezhohlkoerper_3_Ansichten.png
In den Ansichten ist der jeweilige trapezförmige Querschnitt mit 15° Neigung gut zu sehen.
Trapezhohlkoerper_3_Ansichten.png (7.87 KiB) Viewed 2458 times
Nun stehe ich vor meiner selbstgestellten Aufgabe die einzelnen Platten in FreeCAD zu erstellen, um daraus die Maße zum Sägen zu dokumentieren. Die einzelnen Platten sollen jeweils mit den gesägten Gehrungen aneinander geklebt werden, zum Test natürlich auch in FreeCAD damit es später real auch paßt. Das Material wird Sperrholz (Multiplex) mit 20 mm Dicke.

Mir bereiten die Platten vorne und an der Seite Probleme, genauer gesagt die rechte und linke Gehrung vorne, die 2x mit 15° im Raum hängt.
Wie kann ich nun die einzelnen Platten in FreeCAD korrekt anlegen?
Ich will nicht die Winkel messen und pseudogenau arbeiten, sondern über die jeweils 15 Grad Neigung gehen.
Wie geht das?

Hoffentlich war das verständlich.

OS: Windows 7
Word size: 64-bit
Version: 0.14.3700 (Git)
Branch: releases/FreeCAD-0-14
Hash: 32f5aae0a64333ec8d5d160dbc46e690510c8fe1
Python version: 2.7.6
Qt version: 4.8.5
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.6.0

Grüße
Attachments
Trapezhohlkoerper.FCStd
Hier der Trapezhohlkörper in FreeCAD Version 14.
(26.04 KiB) Downloaded 36 times
SIG
Posts: 37
Joined: Tue Sep 16, 2014 12:49 pm
Location: Dresden

Re: Gehrungswinkel bestimmen

Postby SIG » Sat Dec 26, 2015 2:56 pm

Hallo nochmal,

hier mein Stand der Frontplatte ohne seitliche Gehrungen:
Frontseite.png
Frontplatte mit Gehrung oben und unten, aber ohne seitliche Gehrungen
Frontseite.png (9.04 KiB) Viewed 2456 times
Grüße
Attachments
Frontseite.FCStd
FreeCAD-Datei der Frontplatte ohne seitliche Gehrungen
(13.27 KiB) Downloaded 29 times
tom
Posts: 70
Joined: Sun Mar 29, 2015 9:20 pm

Re: Gehrungswinkel bestimmen

Postby tom » Sat Dec 26, 2015 5:40 pm

Hallo SIG,

man könnte die einzelnen Platten mit Hilfe des Facebinders (zu finden in der Draft-WB unter dem deutschen Namen "Flächenverbund") und dem Loft-Tool aus der Part-WB konstruieren. Dazu ist es sinnvoll, zunächst den Trapezhohlkoerper#0 auszublenden und den Innentrapezkoerper#0 wieder einzublenden. Für jede der 6 Platten sind nun folgende Schritte notwendig:
  • eine der Flächen des Innentrapezkoerpers#0 auswählen
  • Facebinder-Objekt für diese Fläche erzeugen
  • Aussentrapezkoerper#0 einblenden
  • dazugehörige Fläche des Aussentrapezkoerpers#0 auswählen
  • Facebinder-Objekt für diese Fläche erzeugen
  • in Part-WB wechseln und ein Loft von den beiden Facebinder-Objekten erzeugen (dabei Volumenkörper erzeugen)
  • Die beiden Facebinder-Objekte, den Aussentrapezkoerper#0 sowie den Loft ausblenden, um mit den weiteren Platten fortfahren zu können
Am Ende müssen nur noch die erzeugten Lofts (=Platten) wieder eingeblendet werden.
SIG
Posts: 37
Joined: Tue Sep 16, 2014 12:49 pm
Location: Dresden

Re: Gehrungswinkel bestimmen

Postby SIG » Sat Dec 26, 2015 7:40 pm

Hallo tom,

ja wie geil ist das denn!

An das LOFT-Werkzeug hatte ich auch schon gedacht, aber Facebinder kannte ich noch nicht.
Da sieht man mal wieder wie einfach die Dinge sein können.
Ich hab mal eine Explosions-Darstellung angefertigt.
Trapezhohlkoerper_Platten.png
Box in Explosions-Darstellung mit Clones der Einzelteile.
Trapezhohlkoerper_Platten.png (13.87 KiB) Viewed 2425 times
Der Vorteil: Die Facebinder-Flächen sind an die Trapezkörper gebunden, so daß Änderungen automatisch angepaßt werden. ;-)
Ich hab's ausprobiert, es funktioniert tatsächlich. Wer es nachvollziehen will kann das mit der angehängten FreeCAD-Datei.

Nochmal Danke für die Hilfe und die hilfreiche Anleitung!
Attachments
Trapezhohlkoerper_Platten.FCStd
Hier die komplette FreeCAD-Datei zum rumspielen für Andere.
(64.83 KiB) Downloaded 44 times
User avatar
r-frank
Posts: 2181
Joined: Thu Jan 24, 2013 6:26 pm
Location: Möckmühl, Germany
Contact:

Re: Gehrungswinkel bestimmen

Postby r-frank » Sat Dec 26, 2015 9:36 pm

Wirklich geniale Idee, tom.

Danke.
Daraus mache ich bei Gelegenheit ein Tutorial ...

Roland
Deutsche FreeCAD Tutorials auf Youtube
My GrabCAD FreeCAD-Projects
FreeCAD lessons for beginners in english

Native german speaker - so apologies for my english, no offense intended :)
SIG
Posts: 37
Joined: Tue Sep 16, 2014 12:49 pm
Location: Dresden

Re: Gehrungswinkel bestimmen

Postby SIG » Sun Dec 27, 2015 3:16 pm

Hallo,

... und weiter geht's...

Nun treibt mich FreeCAD mit der Winkelmessung in den Wahnsinn.
Scheinbar willkürlich werden die gemessenen Winkel eingetragen, z. B. mal 45° mal 135°.
Wovon hängt das denn ab?
Ich finde da keine nachvollziehbare und reproduzierbare Lösung, so daß die richtigen 45° dann auch sicher dargestellt werden.
Rueckplatte_Winkelmessung.png
Zwei Messungen nacheinander ausgeführt. Die jeweils benutzen Kanten habe ich grün markiert.
Rueckplatte_Winkelmessung.png (8.36 KiB) Viewed 2368 times
Das Ziel ist einfach und schnell ohne viel Zeitaufwand eine klare Doku als Screenshot zu erhalten.
Es muß ja nicht immer normgerecht sein, Verständlichkeit und Eindeutigkeit finde ich wichtiger.
So soll's dann aussehen, aber eben mit 4x 45° statt der rechts zu sehenden 135°:
Rueckplatte_Abmessungen_0.png
Einfache und eindeutige Darstellung für jeden Tischler verständlich oder (wenn da 45° statt 135° stünde)!
Rueckplatte_Abmessungen_0.png (9.33 KiB) Viewed 2368 times
Rueckplatte_Abmessungen_1.png
Hier ein weiterer Versuch. wieder mehrfach 135° statt 45°.
Rueckplatte_Abmessungen_1.png (9.94 KiB) Viewed 2368 times
Zu meiner Vorgehensweise:
- Ich nehme die Kopie einer Platte und erstelle auf der Oberfäche (Außenseite des Trapezkörpers) ein Sketch, welches an jeder Kante senkrecht zu jeder Kante ein Rechteck heraus schneidet. Daran trage ich die Winkel ein.
- Dananch blende ich nur die nicht geschnittene Platte mit 100% Transparenz mit senkrechter Ansicht auf die Oberfäche ein.
- Am Ende wird noch angemessen gezoomt und der Screenshot erstellt.

Im Anhang die FreeCAD zu den oben dargestellten Bildern.
Attachments
Rueckplatte.FCStd
FreeCAD-Datei der Rückplatte.
(64.04 KiB) Downloaded 29 times
User avatar
r-frank
Posts: 2181
Joined: Thu Jan 24, 2013 6:26 pm
Location: Möckmühl, Germany
Contact:

Re: Gehrungswinkel bestimmen

Postby r-frank » Mon Dec 28, 2015 11:05 pm

SIG wrote: Nun treibt mich FreeCAD mit der Winkelmessung in den Wahnsinn.
Scheinbar willkürlich werden die gemessenen Winkel eingetragen, z. B. mal 45° mal 135°.
Wovon hängt das denn ab?
Ich finde da keine nachvollziehbare und reproduzierbare Lösung, so daß die richtigen 45° dann auch sicher dargestellt werden.
Hallo SIG.

Willkommen im Club.
Dieses Verhalten hat mich auch schon die Wände hochgetrieben.
Nicht nur bei der WInkelmessung ist das nervig, auch Winkel eintragen in Skizzen
oder das Anwenden des Draft Dimension Tools auf Kanten führt zu grauen Haaren
und Nervenzusammenbrüchen ...

Ganz zu schweigen von meinen erfolglosen Versuchen mit der Robot Workbench ...

Roland
Deutsche FreeCAD Tutorials auf Youtube
My GrabCAD FreeCAD-Projects
FreeCAD lessons for beginners in english

Native german speaker - so apologies for my english, no offense intended :)
User avatar
microelly2
Posts: 4630
Joined: Tue Nov 12, 2013 4:06 pm
Contact:

Re: Gehrungswinkel bestimmen

Postby microelly2 » Thu Jan 07, 2016 7:53 am

Die beiden Winkel sind Nebenwinkel und hängen von den Flächennormalen ab. Man müsste da wohl die Orientierung von Flächen ändern.

Meine Idee
Ein Makro: 2 Flächen auswählen -> Makro berechnet Winkelpaar 45 + 135 -> Interaktiv für einen Winkel entscheiden -> ein Draft-Text Objekt erscheint in der Nähe der Schnittkante -> und kann dann manuell weiter platziert werden.

Wie sieht eigentlich die "normgerechte" Darstellung des Abschrägungswinkels aus?
User avatar
ektus
Posts: 141
Joined: Sat Sep 22, 2012 6:23 pm
Location: Germany

Re: Gehrungswinkel bestimmen

Postby ektus » Thu Jan 07, 2016 7:26 pm

In der Zeichnung würde ich "5x45°" bemaßen, am Besten in einer Ansicht, in der man die Schräge (Fase) im Schnitt sieht. Bei von 45° abweichendem Fasenwinkel den Winkel direkt bemaßen (im Schnitt) und wo erforderlich noch eine Länge dazu.
User avatar
microelly2
Posts: 4630
Joined: Tue Nov 12, 2013 4:06 pm
Contact:

Re: Gehrungswinkel bestimmen

Postby microelly2 » Thu Jan 07, 2016 9:09 pm

Hallo SIG, probier das mal,
2 Flächen vom gleichen Part selektieren
dann Skript ausführen (select all und in die Python Console kopieren)

Es erscheint ein Textobjekt. Das kann man dann mit Draft move verschieben
Feinheiten machen wir dann , wenn es prinzipiell funktioniert.


Code: Select all

from PySide import QtGui
import math

s=FreeCADGui.Selection.getSelectionEx()[0]
[f,f2]=s.SubObjects

v1=f.normalAt(0,0)
v2=f2.normalAt(0,0)

arc=v1.getAngle(v2)
arc *= 180/math.pi

arc2=180-arc
arc=round(arc,2)
arc2=round(arc2,2)

msg = "willst du den ersten wert von " + str(arc) + ", " + str(arc2) + "?"
reply = QtGui.QMessageBox.question(None, 'Winkelmasz', 
	msg, QtGui.QMessageBox.Yes, QtGui.QMessageBox.No)

if reply == QtGui.QMessageBox.Yes:
	v=arc
else:
	v=arc2

p=f.CenterOfMass
p2=f2.CenterOfMass
h=p.add(p2).multiply(0.5)

Draft.makeText(["Winkel " + str(v)],point=FreeCAD.Vector(h))
t=App.ActiveDocument.ActiveObject
t.ViewObject.FontSize = 50
t.ViewObject.DisplayMode = "Screen"